<div class="module flat">
    <app-select 
    *ngIf="drafts.length"
    [(ngModel)]="currentDraft"
    placeholder="Continuar borrador..."
    [options]="drafts"
    [list-template]="option"
    [selected-template]="selection"
    (onselect)="loadDraft($event)"></app-select>

    <ng-container *ngIf="draftLoading">
        <em class="loading">
            <app-loader [inline]="true" [grey]="true"></app-loader>
            {{currentDraft ? 'Actualizando' : 'Guardando'}} borrador...
        </em>
    </ng-container>
</div>

<ng-template #option let-draft>
    <div class="draft">
        <div class="data">
            <h6>{{draft.lastUpdated || draft.createdAt | date: 'medium'}}</h6>
            <p><strong *ngIf="draft.title">{{draft.title}}:</strong> {{draft.raw | slice:0:30}}...</p>
        </div>
        <div class="actions">
            <button title="Eliminar" (click)="removeDraft(draft.id, $event)"><i class="las la-trash"></i></button>
        </div>
    </div>
</ng-template>

<ng-template #selection let-draft>
    <div class="draft">
        <div class="data">
            <h6>{{draft.lastUpdated || draft.createdAt | date: 'medium'}}</h6>
            <p><strong *ngIf="draft.title">{{draft.title}}:</strong> {{draft.raw | slice:0:30}}...</p>
        </div>
    </div>
</ng-template>


<div class="module">
    
    <form [formGroup]="threadForm" (submit)="send()">

        <input class="input-title" placeholder="Título" type="text" formControlName="title">

        <textarea placeholder="Resumen" formControlName="summary"></textarea>

        <hr>

        <app-editor (onchange)="debounce()" #body></app-editor>

        <hr>

        <app-switch 
        formControlName="restricted" 
        label="Restringir Participación"
        help="Si activas esta opción, sólo tus amigos seleccionados podrán participar en este hilo"
        [prevent-default]="true"
        (click)="modalFriends.open()"></app-switch>

        <div class="form-footer with-return">
            <a class="text-only" routerLink="/u/flamesofblue">
                <i class="las la-angle-left"></i>
                Regresar a mi escritorio
            </a>
            <button [class.loading]="loading" class="primary" type="submit">
                <app-loader [inline]="true" *ngIf="loading"></app-loader>
                Guardar
            </button>
        </div>
    </form>

</div>


<!-- Modal Friends -->
<app-modal
#modalFriends
title="Seleccionar Amigos"
subtitle="Sólo estas personas podrán participar en el hilo"
(onconfirm)="setRestricted()"
(onclose)="clear()">

    <input #filterInput class="text-filter" placeholder="Buscar..." type="text" (keyup)="filter($event.target.value)">

    <ul class="user-list" *ngIf="filteredFriends.length">
        <li *ngFor="let friend of filteredFriends">
            <div class="user-icon">
                <a target="_blank" [routerLink]="'/u/'+friend.username" [title]="friend.username">
                    <img [src]="friend.avatar">            
                </a>
                <span 
                class="check-box" 
                [class.checked]="friend.checked" 
                (click)="friend.checked = !friend.checked">
                </span>
            </div>
        </li>
    </ul>

    <div class="empty" *ngIf="!filteredFriends.length">
        <i class="las la-times-circle"></i>
        Sin resultados
    </div>

</app-modal>